## org.firebirdsql.pool
Class PingablePooledConnection

    java.lang.Object
      org.firebirdsql.pool.AbstractPingablePooledConnection
          org.firebirdsql.pool.PingablePooledConnection

All Implemented Interfaces:
  PooledConnection, PooledObject, XStatementManager

    public class PingablePooledConnection

extends AbstractPingablePooledConnection

Field Summary

Fields inherited from class org.firebirdsql.pool.AbstractPingablePooledConnection
`jdbcConnection`

Constructor Summary
`PingablePooledConnection(Connection connection, boolean statementPooling, int maxStatements, boolean keepStatements)`
`PingablePooledConnection(Connection connection, String pingStatement, int pingInterval, boolean statementPooling, int maxStatements, boolean keepStatements)`

Method Summary
`void` `addStatementEventListener(StatementEventListener listener)`
`void` `removeStatementEventListener(StatementEventListener listener)`

Methods inherited from class org.firebirdsql.pool.AbstractPingablePooledConnection

`addConnectionEventListener, close, configureConnectionDefaults, connectionClosed, connectionCommitted, connectionErrorOccured, connectionRolledBack, deallocate, getConnection, getLastPingTime, getLogChannel, getPreparedStatement, internalClose, isInPool, isKeepStatements, isStatementPooling, isValid, isValid, ping, prepareStatement, removeConnectionEventListener, setDefaultTransactionIsolation, setInPool, statementClosed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PingablePooledConnection

    public PingablePooledConnection(Connection connection,
                                    boolean statementPooling,
                                    int maxStatements,
                                    boolean keepStatements)
                             throws SQLException

Throws:
  `SQLException`

### PingablePooledConnection

    public PingablePooledConnection(Connection connection,
                                    String pingStatement,
                                    int pingInterval,
                                    boolean statementPooling,
                                    int maxStatements,
                                    boolean keepStatements)
                             throws SQLException

Throws:
  `SQLException`

Method Detail

### addStatementEventListener

    public void addStatementEventListener(StatementEventListener listener)

### removeStatementEventListener

    public void removeStatementEventListener(StatementEventListener listener)

Copyright © 2001-2010. All Rights Reserved.